<!--room-list.vue-->
<template>
  <div class="page">
    <div class="page_header flex flex-ver">
      <div class="left flex flex-ver" @click="back">
        <img class="page_logo_1" src="../../assets/img/logo_1.png">
        <img class="page_logo_2" src="../../assets/img/logo_2.png">
      </div>
      <div class="right flex-1 flex flex-jcfe flex-ver">
        <div class="page_date">
          <div class="page_week">{{ timeObj.week }}</div>
          <div class="page_day">{{ timeObj.date }}</div>
        </div>
        <div class="page_time">{{ timeObj.timeMin }}</div>
        <!-- <div class="page_time">{{ timeObj.time }}</div> -->
      </div>
    </div>
    <div class="page_container">
      <div class="list_container flex flex-col">
        <div class="list_container__title">请选择房间</div>
        <div class="list_block flex-1">
          <div class="list flex flex-ver flex-wrap">
            <!-- act -->
            <div v-for="(item, index) in list" :key="index" class="list__item flex flex-center" @click="selectRoom()">VIP诊疗室-1</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
// import Login from '../utils/jun_login.js'

export default {
  name: 'RoomList',
  components: {},
  inject: ['noop'],
  data() {
    return {
      list: ['', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
      timeObj: {}// week：星期，date：年月日，timeMin：时分，time：时分秒，timeStamp：时间戳
    }
  },
  computed: {

  },
  mounted() {
    console.log('roomList mounted')
    this.init()
  },
  destroyed() {

  },
  methods: {
    init() {
      this.countGetTime(this, 'timeObj', 'list')
    },
    // 返回
    back() {
      this.stopCountGetTime('list')
      this.stopPollingAjaxFn('list')
      this.$router.go(-1)
    },
    selectRoom(item = {}) {
      this.$router.push({
        path: `./detail?id=${item.id || ''}`
      })
    }
  }
}
</script>

<style scoped>
.list_container {
  width: 100%;
  height: 100%;
  background-color: #fff;
  border-radius: 10px;
}
.list_container__title {
  line-height: 56px;
  color: rgba(16,16,16,1);
  font-size: 40px;
  text-align: center;
  font-family: PingFangSC-medium;
  padding: 27px 0;
  /* font-weight: bold; */
}
.list_block {
  /* padding-right: 66px; */
  margin-bottom: 50px;
  overflow: auto;
}
.list_block .list {

}
.list_block .list .list__item {
  padding: 40px 30px;
  border-radius: 100px;
  background-color: rgba(229,238,253,1);
  color: rgba(0,0,0,1);
  font-size: 40px;
  text-align: center;
  font-family: Roboto;
  line-height: 1;
  margin-left: 48px;
  margin-bottom: 30px;
}
.list_block .list .list__item.act {
  background-color: #5980FF;
  color: #fff;
}
</style>
